# -*- coding: utf-8 -*-
# Generated by Django 1.11.16 on 2019-01-10 17:19
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BatPerformance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bat', models.BooleanField(default=False)),
                ('bat_position', models.IntegerField(default=0)),
                ('bat_runs', models.IntegerField(default=0)),
                ('bat_par_score', models.IntegerField(default=0)),
                ('bat_balls', models.IntegerField(default=0)),
                ('bat_how_out', models.CharField(default=b'DNB', max_length=32)),
                ('bat_inning_no', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='BowlPerformance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bowl', models.BooleanField(default=False)),
                ('bowl_overs', models.FloatField(default=0)),
                ('bowl_runs', models.IntegerField(default=0)),
                ('bowl_maidens', models.IntegerField(default=0)),
                ('bowl_position', models.IntegerField(default=0)),
                ('bowl_pareconomy', models.FloatField(default=0.0)),
                ('bowl_wickets_lbw', models.IntegerField(default=0)),
                ('bowl_wickets_bowled', models.IntegerField(default=0)),
                ('bowl_wickets_stumped', models.IntegerField(default=0)),
                ('bowl_wickets_caught', models.IntegerField(default=0)),
                ('bowl_wickets_hit_wicket', models.IntegerField(default=0)),
                ('bowl_wickets_total', models.IntegerField(default=0)),
                ('bowl_inning_no', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Club',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('home_club', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='Competition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('competition_type', models.CharField(max_length=32)),
            ],
        ),
        migrations.CreateModel(
            name='FieldPerformance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('field_catches', models.IntegerField(default=0)),
                ('field_run_outs', models.IntegerField(default=0)),
                ('field_stumped', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Ground',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('club', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Club')),
            ],
        ),
        migrations.CreateModel(
            name='Inning',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bat_team_id', models.CharField(max_length=8)),
                ('bowl_team_id', models.CharField(max_length=8)),
                ('runs', models.IntegerField()),
                ('wickets', models.IntegerField()),
                ('overs', models.FloatField()),
                ('declared', models.BooleanField()),
                ('extras_byes', models.IntegerField(default=0)),
                ('extras_leg_byes', models.IntegerField(default=0)),
                ('extras_wides', models.IntegerField(default=0)),
                ('extras_no_balls', models.IntegerField(default=0)),
                ('extras_penalties', models.IntegerField(default=0)),
                ('extras_total', models.IntegerField(default=0)),
                ('highlights', models.TextField(default=b'')),
                ('complete_innings', models.BooleanField(default=False)),
                ('inning_no', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Match',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(max_length=10)),
                ('last_updated', models.DateField()),
                ('match_type', models.CharField(max_length=64)),
                ('game_type', models.CharField(max_length=32)),
                ('toss_won_by_team_id', models.CharField(max_length=8)),
                ('toss', models.CharField(max_length=512)),
                ('batted_first', models.CharField(max_length=8)),
                ('result', models.CharField(max_length=2)),
                ('result_description', models.CharField(max_length=512)),
                ('result_applied_to', models.CharField(max_length=8)),
                ('match_notes', models.TextField()),
                ('number_of_players', models.IntegerField(default=0)),
                ('full_scorecard', models.BooleanField(default=False)),
                ('processing_issue', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name_plural': 'matches',
            },
        ),
        migrations.CreateModel(
            name='MatchDate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField()),
                ('month', models.IntegerField()),
                ('day', models.IntegerField()),
                ('date', models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name='Performance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('captain', models.BooleanField(default=False)),
                ('wicket_keeper', models.BooleanField(default=False)),
                ('match', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Match')),
            ],
        ),
        migrations.CreateModel(
            name='Player',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('player_name', models.CharField(max_length=255)),
                ('club', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Club')),
            ],
        ),
        migrations.CreateModel(
            name='Scorer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='ScorerAssignment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('match', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Match')),
                ('scorer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Scorer')),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default=b'unsure', max_length=255)),
                ('club', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Club')),
            ],
        ),
        migrations.CreateModel(
            name='Umpire',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='UmpireAssignment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('match', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Match')),
                ('umpire', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Umpire')),
            ],
        ),
        migrations.AddField(
            model_name='performance',
            name='player',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Player'),
        ),
        migrations.AddField(
            model_name='match',
            name='away_team',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='away_team', to='core.Team'),
        ),
        migrations.AddField(
            model_name='match',
            name='competition',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Competition'),
        ),
        migrations.AddField(
            model_name='match',
            name='date',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.MatchDate'),
        ),
        migrations.AddField(
            model_name='match',
            name='ground',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Ground'),
        ),
        migrations.AddField(
            model_name='match',
            name='home_team',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='home_team', to='core.Team'),
        ),
        migrations.AddField(
            model_name='inning',
            name='match',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Match'),
        ),
        migrations.AddField(
            model_name='fieldperformance',
            name='match',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Match'),
        ),
        migrations.AddField(
            model_name='fieldperformance',
            name='player',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Player'),
        ),
        migrations.AddField(
            model_name='bowlperformance',
            name='match',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Match'),
        ),
        migrations.AddField(
            model_name='bowlperformance',
            name='player',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Player'),
        ),
        migrations.AddField(
            model_name='batperformance',
            name='bat_out_bowler',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='bat_bowler', to='core.Player'),
        ),
        migrations.AddField(
            model_name='batperformance',
            name='bat_out_fielder',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='bat_fielder', to='core.Player'),
        ),
        migrations.AddField(
            model_name='batperformance',
            name='match',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Match'),
        ),
        migrations.AddField(
            model_name='batperformance',
            name='player',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Player'),
        ),
    ]
